### Constructor

# Gtk.LinkButton.new_with_label

#### Declaration [src]

    GtkWidget*
    gtk_link_button_new_with_label (
      const char* uri,
      const char* label
    )

#### Description [src]

Creates a new `GtkLinkButton` containing a label.

#### Parameters

`uri` | `const char*`
| a valid URI
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`label` | `const char*`
| the text of the button
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new link button widget.
Ownership is not transferred to the caller